Last Comment Bug 705026 - Kindle Fire: Menu on has blanked out items
: Kindle Fire: Menu on has blanked out items
Status: RESOLVED FIXED
: verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Firefox 9
: All All
: -- normal (vote)
: Firefox 11
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on: 704693 708772
Blocks: 690791
  Show dependency treegraph
 
Reported: 2011-11-23 17:28 PST by Alex Keybl [:akeybl]
Modified: 2013-12-27 14:25 PST (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
photo of issue (2.35 MB, image/jpeg)
2011-11-23 17:28 PST, Alex Keybl [:akeybl]
no flags Details
patch: disable tablet mode on non-Honeycomb devices (1.30 KB, patch)
2011-11-23 22:32 PST, Matt Brubeck (:mbrubeck)
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Alex Keybl [:akeybl] 2011-11-23 17:28:15 PST
Created attachment 576662 [details]
photo of issue

When the menu button in the upper right-hand corner of FF9 is selected on the Kindle Fire, the following menu items are blanked out:

* Preferences
* Add-ons
* Downloads
* Quit

See attached screenshot.
Comment 1 Matt Brubeck (:mbrubeck) 2011-11-23 17:40:03 PST
It looks like this is happening because Firefox is running in tablet mode, and our tablet layout does not work well with the gingerbread (Android 2.3) theme.

Ideally we should force the honeycomb theme when in tablet mode (or force non-tablet mode when not using the honeycomb theme).  Bug 704693 has some closely related ideas.
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-23 19:17:58 PST
(In reply to Matt Brubeck (:mbrubeck) from comment #1)
> It looks like this is happening because Firefox is running in tablet mode,
> and our tablet layout does not work well with the gingerbread (Android 2.3)
> theme.
> 
> Ideally we should force the honeycomb theme when in tablet mode (or force
> non-tablet mode when not using the honeycomb theme).  Bug 704693 has some
> closely related ideas.

Of the ideas Matt is suggesting, I think forcing non-tablet mode on the Fire is preferable. So the Fire would work a lot like a Samsung Galaxy Tab (7") - larger form factor, but a phone UI. It would pick up the Gingerbread theme in XUL Fennec and work OK.

I'd like to hear more suggestions and concerns though. A patch -> build -> and test on a Fire would go a long way.
Comment 3 Matt Brubeck (:mbrubeck) 2011-11-23 22:32:58 PST
Created attachment 576680 [details] [diff] [review]
patch: disable tablet mode on non-Honeycomb devices

This is a short-term fix, less risky than trying to make tablet mode work properly on non-Honeycomb devices.

I haven't tested this on a variety of Android versions yet; I'll test it before landing.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-26 12:36:32 PST
Comment on attachment 576680 [details] [diff] [review]
patch: disable tablet mode on non-Honeycomb devices

We are in a race with ICS tablets with this patch. Let's hope we have native options sooner than later.
Comment 5 Alex Keybl [:akeybl] 2011-11-27 15:17:16 PST
Please make sure to nominate for Aurora/Beta approval as soon as this lands. Thanks!
Comment 7 Matt Brubeck (:mbrubeck) 2011-11-28 11:55:27 PST
Comment on attachment 576680 [details] [diff] [review]
patch: disable tablet mode on non-Honeycomb devices

Requesting approval for Beta 9 and Aurora 10.  This is an mobile-only fix that prevents a serious UI regression in Firefox 9 when used on tablet-sized devices that are not running Honeycomb, like the Kindle Fire.
Comment 8 christian 2011-11-28 13:31:40 PST
[triage comment]
Approval is waiting on product weighing in
Comment 9 Jay Sullivan 2011-11-28 13:58:44 PST
I've been testing Firefox for Android on Kindle Fire and agree that the smartphone UX would be preferable for that device.
Comment 10 Alex Keybl [:akeybl] 2011-11-28 15:03:58 PST
Comment on attachment 576680 [details] [diff] [review]
patch: disable tablet mode on non-Honeycomb devices

[Triage Comment]
Approving for aurora and beta.

Would it be possible to get a try build of current FF9beta+705026 for QA to test with in preparation for our Wednesday meeting? Thanks!
Comment 11 Matt Brubeck (:mbrubeck) 2011-11-28 15:35:11 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/293318b5bb19
https://hg.mozilla.org/releases/mozilla-aurora/rev/58b665c43963

(In reply to Alex Keybl [:akeybl] from comment #10)
> Would it be possible to get a try build of current FF9beta+705026 for QA to
> test with in preparation for our Wednesday meeting? Thanks!

I'll post a beta build as soon as I have one ready.
Comment 12 Matt Brubeck (:mbrubeck) 2011-11-28 16:03:30 PST
Note that this regresses Tzoom (and possibly other benchmarks) because it changes which layout is used on the Tegras while running Talos.  (We force the layout to non-tablet for mochitests, but not currently for Talos tests.)  This regression is Tegra-only, and does not affect normal Android devices.  It reverses the "improvement" we saw when the tablet UI was first enabled.
Comment 13 Matt Brubeck (:mbrubeck) 2011-11-28 16:47:57 PST
Here is a 9.0 beta build that includes this patch:

http://ftp.mozilla.org/pub/mozilla.org/mobile/tinderbox-builds/mozilla-beta-android/1322526516/fennec-9.0.en-US.android-arm.apk

NOTE: Because this is not signed with the release key, you must uninstall any official Firefox Beta *and* Firefox packages on your device before installing this unofficial build (and you will need to uninstall this build before re-installing the official versions).
Comment 14 Marco Bonardo [::mak] 2011-11-29 04:54:02 PST
https://hg.mozilla.org/mozilla-central/rev/d68a772d61a9
Comment 15 Aaron Train [:aaronmt] 2011-11-29 06:07:53 PST
Tony, can you verify on tomorrow's nightly or a latest tinderbox-build from today?
Comment 16 Tony Chung [:tchung] 2011-11-30 12:25:11 PST
yeah, i loaned the fire to doug, i'll get it back.  the fix should also work for Galaxy Tab 7" and HTC Flyer tablets.
Comment 17 Chris Lord [:cwiiis] 2011-12-01 03:52:39 PST
Kind of a shame imo, I was forcing the honeycomb theme and tablet mode on the HTC Flyer for a long time and think it looks and works a lot better than the phone theme/mode on that device - otoh, native Fennec isn't that far off, so I guess it's a moot point.
Comment 18 Tony Chung [:tchung] 2011-12-01 16:37:32 PST
Verified fix on Kindle Fire.  Gingerbread phone view for 7" screens

Firefox 9 Beta: Mozilla/5.0 (Android; Linux armv7l; rv:9.0 Gecko/201101130 Firefox/9.0 Fennec/9.0

Note You need to log in before you can comment on or make changes to this bug.